# This file was generated by "bin/generators/effective_date.rb" and is part
# of the historical ("effective") dating system. See the generator comments
# in "bin/generators/classes/effective_date_class.rb", the RDoc description
# of Hoodoo::ActiveRecord::Dated and Hoodoo Guides for details.
#
class CreateHistoryTableForPeople < ActiveRecord::Migration
  def up
    execute <<-SQL
      create table people_history_entries as
      select name, date_of_birth, created_at, updated_at
      from people
      with no data
    SQL

    add_column :people_history_entries, :effective_start, :datetime, null: false
    add_column :people_history_entries, :effective_end,   :datetime, null: false
    add_column :people_history_entries, :id,              :text,     null: false
    add_column :people_history_entries, :uuid,            :text,     null: false, :limit => 32

    add_index  :people_history_entries, :id,                       unique: true, :name => 'people_id_uniq'
    add_index  :people_history_entries, [ :uuid, :effective_start, :effective_end ], unique: true, :name => 'people_uuid_start_end'

    execute <<-SQL
      create extension if not exists btree_gist
      ;
      alter table people_history_entries
      add constraint people_overlap
      exclude using gist(
        uuid with =,
        tsrange(effective_start, effective_end, '[)') with &&
      )
      ;
    SQL
  end

  def down
    drop_table :people_history_entries
  end

end
