# encoding: UTF-8
# This file is auto-generated from the current state of the database. Instead
# of editing this file, please use the migrations feature of Active Record to
# incrementally modify your database, and then regenerate this schema definition.
#
# Note that this schema.rb definition is the authoritative source for your
# database schema. If you need to create the application database on another
# system, you should be using db:schema:load, not running all the migrations
# from scratch. The latter is a flawed and unsustainable approach (the more migrations
# you'll amass, the slower it'll run and the greater likelihood for issues).
#
# It's strongly recommended that you check this file into your version control system.

ActiveRecord::Schema.define(version: 20151203123849) do

  # These are extensions that must be enabled in order to support this database
  enable_extension "plpgsql"
  enable_extension "btree_gist"

  create_table "people", force: :cascade do |t|
    t.string   "name",          null: false
    t.date     "date_of_birth"
    t.datetime "created_at",    null: false
    t.datetime "updated_at",    null: false
  end

  add_index "people", ["date_of_birth"], name: "index_people_on_date_of_birth", using: :btree
  add_index "people", ["name"], name: "index_people_on_name", using: :btree

  create_table "people_history_entries", id: false, force: :cascade do |t|
    t.string   "name"
    t.date     "date_of_birth"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.datetime "effective_start", null: false
    t.datetime "effective_end",   null: false
    t.text     "id",              null: false
    t.text     "uuid",            null: false
  end

  add_index "people_history_entries", ["id"], name: "people_id_uniq", unique: true, using: :btree
  add_index "people_history_entries", ["uuid", "effective_start", "effective_end"], name: "people_uuid_start_end", unique: true, using: :btree
  add_index "people_history_entries", ["uuid"], name: "people_overlap", using: :gist

end
